GrailsSpecTestType (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.test.spock
[Groovy] Class GrailsSpecTestType

    java.lang.Object
      org.codehaus.groovy.grails.test.support.GrailsTestTypeSupport
          org.codehaus.groovy.grails.test.spock.GrailsSpecTestType

    @groovy.transform.CompileStatic
    class GrailsSpecTestType
    extends GrailsTestTypeSupport

Authors:
  Graeme Rocher

Field Summary
`static java.util.List` | `TEST_SUFFIXES`
`protected GrailsTestMode` | `mode`

Constructor Summary
`GrailsSpecTestType(java.lang.String name, java.lang.String relativeSourcePath)`
`GrailsSpecTestType(java.lang.String name, java.lang.String relativeSourcePath, GrailsTestMode mode)`

Method Summary
`protected java.lang.Object` | `createGrails2TerminalListenerIfCan()`
`JUnitReportsFactory` | `createJUnitReportsFactory()`
`protected org.junit.runners.Suite` | `createSuite(java.lang.Object classes)`
`protected int` | `doPrepare()`
`protected GrailsTestTypeResult` | `doRun(GrailsTestEventPublisher eventPublisher)`
`protected java.io.File` | `getSourceDir()`
`protected java.util.List` | `getTestExtensions()`
`protected java.util.List` | `getTestSuffixes()`

Methods inherited from class GrailsTestTypeSupport
cleanup, createSystemOutAndErrSwapper, doPrepare, doRun, eachSourceFile, findSourceFiles, getApplicationContext, getSourceDir, getTestClassLoader, getTestExtensions, getTestSuffixes, loadClass, prepare, run, sourceFileToClass, sourceFileToClassFile, sourceFileToClassName

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### TEST_SUFFIXES

    public static final java.util.List TEST_SUFFIXES

### mode

    protected GrailsTestMode mode

Constructor Detail

### GrailsSpecTestType

    GrailsSpecTestType(java.lang.String name, java.lang.String relativeSourcePath)

### GrailsSpecTestType

    GrailsSpecTestType(java.lang.String name, java.lang.String relativeSourcePath, GrailsTestMode mode)

Method Detail

### createGrails2TerminalListenerIfCan

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected java.lang.Object createGrails2TerminalListenerIfCan()

### createJUnitReportsFactory

    JUnitReportsFactory createJUnitReportsFactory()

### createSuite

    protected org.junit.runners.Suite createSuite(java.lang.Object classes)

### doPrepare

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected int doPrepare()

### doRun

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected GrailsTestTypeResult doRun(GrailsTestEventPublisher eventPublisher)

### getSourceDir

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected java.io.File getSourceDir()

### getTestExtensions

    protected java.util.List getTestExtensions()

### getTestSuffixes

    protected java.util.List getTestSuffixes()

Groovy Documentation